Subject: Re: [PATCH] Eval boards should not need to mess with ROOT_DEV

From: [email-masked] (Linas Vepstas)
Date: Mon, 8 Oct 2007 16:43:44 -0500

On Mon, Oct 08, 2007 at 03:42:21PM -0500, Linas Vepstas wrote:
> On Mon, Oct 08, 2007 at 02:41:54PM -0500, Kumar Gala wrote:
> > 
> > On Oct 8, 2007, at 2:03 PM, Grant Likely wrote:
> > 
> > >>> I can't see a good reason for eval board platform code to mess with
> > >>> the
> > >>> ROOT_DEV value instead of using the default behaviour (so I'm  
> > >
> > > Powermac and pseries also do this weirdness.  Should it be removed
> > > from there too?
> > 
> > We need benh to make a comment about powermac.
> > 
> > I think its ok to remove everywhere but we should see if he has any  
> > issue.
> 
> Ack. I see no problems in removing it.

Err. I meant my comment to be of limited scope: "for pseries". 
I know nothing of other platforms.

--linas